fn main() -> Result<(), Box<dyn std::error::Error>> {
    tonic_build::compile_protos("proto/felinet.proto")?;

    println!("cargo:rerun-if-changed=src/codec2/fsk.c");
    println!("cargo:rerun-if-changed=src/codec2/mpdecode_core.c");

    cc::Build::new()
        .file("src/codec2/fsk.c")
        .file("src/codec2/mpdecode_core.c")
        .file("src/codec2/kiss_fft.c")
        .file("src/codec2/kiss_fftr.c")
        .file("src/codec2/modem_probe.c")
        .file("src/codec2/modem_stats.c")
        .file("src/codec2/octave.c")
        .extra_warnings(false)
        .compile("fsk");

    Ok(())
}
